# getAvailableActions

getAvailableActions is a helper function that returns all the available registered actions in Dashboard

## How to use

```javascript
import { Plugin } from'@root'

Plugin.getAvailableActions('OPTIONAL_PLUGIN_BUNDLE')
```

By passing a plugin bundle id as an argument to getAvailableAction&#x73;**,** Dashboard will check for the registered actions that has been registered with the plugin that matches the same bundle


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/dashboard-plugin/api-and-gui/api/getavailableactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
